Remove User Groups
Deletes the specified user groups.
Required Permissions
Requires the ADMIN role or higher.
HTTP Request
DELETE /api/sonar/user-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
-X DELETE \
"https://HOSTNAME/api/sonar/user-groups?guids=a2a42968-787f-45a3-bec9-b6b68db21c2f"
Request Parameter
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| guids | O | String | User group GUID list | Comma-separated list |
Success Response
{}
Error Responses
Required argument is missing
{
"error_code": "null-argument",
"error_msg": "guids should be not null"
}
Identifier is not in valid GUID format
{
"error_code": "invalid-param-type",
"error_msg": "guids should be guid type."
}
No privileges to delete a user group
{
"error_code": "illegal-state",
"error_msg": "no-permission"
}